org.apache.xmlbeans.impl.store

## Interface DomImpl.Dom

- Enclosing class:
    DomImpl

      public static interface DomImpl.Dom

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump()`
    `void` | `dump(PrintStream o)`
    `void` | `dump(PrintStream o, Object ref)`
    `QName` | `getQName()`
    `Locale` | `locale()`
    `boolean` | `nodeCanHavePrefixUri()`
    `int` | `nodeType()`
    `Cur` | `tempCur()`

- - ### Method Detail

    - #### locale

          Locale locale()

    - #### nodeType

          int nodeType()

    - #### tempCur

          Cur tempCur()

    - #### getQName

          QName getQName()

    - #### nodeCanHavePrefixUri

          boolean nodeCanHavePrefixUri()

    - #### dump

          void dump()

    - #### dump

          void dump(PrintStream o)

    - #### dump

          void dump(PrintStream o,
                    Object ref)